'use strict';

var fs = require('fs');
var _ = require('underscore');

var root = fis.project.getProjectPath();
var path = require('path');

var currentModule = fis.config.get('namespace');
var isCommonModule = currentModule != 'common';
var commonModulePath = root;

if ( isCommonModule ) {
    commonModulePath = path.resolve( root, '../common' );
}

var lessLib = path.resolve( commonModulePath, 'widget/ui/components/lib' );

var lessLibImports = [];
fs.readdirSync( lessLib ).forEach(function( item ){
    lessLibImports.push( fis.file( lessLib + '/' + item ).getContent() );
});
var lessImportContent = lessLibImports.join('');

module.exports = function(content, file, conf){
    // 先获取到 common 的模块依赖，添加到 less 文件中
    return lessImportContent + content;
};